<!DOCTYPE html>
<html lang="en" dir="ltr" prefix="content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# ">
  <head>
    <meta charset="utf-8" />
<link rel="canonical" href="http://default/blog/2021-03-13/ovh-y-lo-inesperado" />
<meta name="description" content="Vamos a ser sinceros, nadie se esperaba que un datacenter OVH ardiese quemando todo, ni ellos ni nosotros, tampoco quiero cortar cabezas, prefiero que OVH haya aprendido de sus errores y haga todo lo posible para que estos errores no vuelvan a ocurrir.

Por otro lado, no tenemos que llevarnos las manos a la cabeza diciendo que OVH no son profesionales, son unos inútiles, etc, o no al menos hasta que sepamos (si algún dia sabemos) que ha pasado, porque otra catástrofe parecida ocurría en 2011 cuando el datacenter de Amazon en Irlanda dejaba de funcionar al caer un rayo.

 




  
      
  
    Image
                



          

  







Y si preguntamos a la gente de sistemas descubrimos que desastres como estos han ido ocurriendo a lo largo de la historia, recuerdo uno que ocurrió hace muchos años en un datacenter en EEUU, no recuerdo cual fue el problema, si la solución y fue volcar a cintas de backup de HP y traslada dichas cintas en furgoneta a otro datacenter, como esta existen más historias, y como parece que estamos condenados a que ocurran vamos a ver varios &quot;trucos&quot; para evitar que esto pase.

 " />
<meta name="Generator" content="Drupal 9 (https://www.drupal.org)" />
<meta name="MobileOptimized" content="width" />
<meta name="HandheldFriendly" content="true" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="shortcut icon" href="/themes/contrib/material_base/starterkits/material_compile/favicon.ico" type="image/vnd.microsoft.icon" />
<link rel="revision" href="http://default/blog/2021-03-13/ovh-y-lo-inesperado" />

    <title>OVH y lo inesperado | Blog de Oskar</title>
    <link rel="stylesheet" media="all" href="/sites/default/files/css/css_3PcFAjRSdZ_bz3MJfz8L_RikGRUw4v0YNxuyLDOV8ww.css" />
<link rel="stylesheet" media="all" href="/sites/default/files/css/css_NyznZm3NpCaIvk4H9UoR0TjuyZOw0VQyBReYksZbsJM.css" />

    
  </head>
  <body class="one-sidebar sidebar-first navbar-fixed path-node page-node-type-article">
    <a href="#main-content" class="visually-hidden focusable">
      Skip to main content
    </a>
    
      <div class="dialog-off-canvas-main-canvas" data-off-canvas-main-canvas>
    <div id="page" class="layout-container">

  <div id="navbar">
    
    <!--
    
    
    -->
  </div>

  <div id="drawer-overlay"></div>
  <div id="drawer">
    
  </div>

  <header id="header" role="banner">
    <div id="header-content">
      
    </div>
    <div id="header-bg">
      
    </div>
  </header>

  
  <div id="content">
    
    <main role="main" id="main" class="container">
      <div id="main-content" tabindex="-1">
        <div class="card-holder">
            <div class="region region-breadcrumb">
    <div id="block-material-compile-breadcrumbs--2">
  
    
        <nav class="breadcrumb" role="navigation" aria-labelledby="system-breadcrumb">
    <h2 class="visually-hidden">Breadcrumb</h2>
    <ol>
          <li>
                  <a href="/">Home</a>
              </li>
        </ol>
  </nav>

  </div>

  </div>

            <div class="region region-highlighted">
    <div data-drupal-messages-fallback class="hidden"></div>

  </div>

          

          <div class="layout-content">
              <div class="region region-content">
    <div id="block-material-compile-page-title--2">
  
    
      
  <h1><span property="schema:name">OVH y lo inesperado</span>
</h1>


  </div>
<div id="block-material-compile-content--2">
  
    
      <article data-history-node-id="11" role="article" about="/blog/2021-03-13/ovh-y-lo-inesperado" typeof="schema:Article">

  
      <span property="schema:name" content="OVH y lo inesperado" class="hidden"></span>


      <footer>
      <article typeof="schema:Person" about="/user/1">
  </article>

      <div>
        Submitted by <span rel="schema:author"><span lang="" about="/user/1" typeof="schema:Person" property="schema:name" datatype="">Oskar</span></span>
 on <span property="schema:dateCreated" content="2021-03-13T10:05:03+00:00">Sat, 03/13/2021 - 11:05</span>
          <span property="schema:dateCreated" content="2021-03-13T10:05:03+00:00" class="hidden"></span>

      </div>
    </footer>
  
  <div>
    
            <div property="schema:text" class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><p>Vamos a ser sinceros, nadie se esperaba que un datacenter OVH ardiese quemando todo, ni ellos ni nosotros, tampoco quiero cortar cabezas, prefiero que OVH haya aprendido de sus errores y haga todo lo posible para que estos errores no vuelvan a ocurrir.</p>

<p>Por otro lado, no tenemos que llevarnos las manos a la cabeza diciendo que OVH no son profesionales, son unos inútiles, etc, o no al menos hasta que sepamos (si algún dia sabemos) que ha pasado, porque otra catástrofe parecida ocurría en 2011 cuando el datacenter de Amazon en Irlanda dejaba de funcionar al caer un rayo.</p>

<p> </p>

<div class="text-align-center">
<figure role="group" class="align-center">
<article>
  
      
  <div class="field field-name-field-media-image field-type-image field-label-visually_hidden">
    <div class="field-label visually-hidden">Image</div>
              <div class="field-item">  <img src="/sites/default/files/styles/large/public/2021-03/EwG3NKNXcAIRYgO.png?itok=RezJRftP" width="480" height="251" alt="Edificio/datacenter de OVH ardiendo." loading="lazy" typeof="foaf:Image" />


</div>
          </div>

  </article>

<figcaption></figcaption>
</figure>

</div>

<p><br />
Y si preguntamos a la gente de sistemas descubrimos que desastres como estos han ido ocurriendo a lo largo de la historia, recuerdo uno que ocurrió hace muchos años en un datacenter en EEUU, no recuerdo cual fue el problema, si la solución y fue volcar a cintas de backup de HP y traslada dichas cintas en furgoneta a otro datacenter, como esta existen más historias, y como parece que estamos condenados a que ocurran vamos a ver varios "trucos" para evitar que esto pase.</p>

<p> </p>

<ul>
	<li>Redundancia, podemos tener nuestro proyecto ejecutándose en el datacenter A de nuestro proveedor y por seguridad podemos tener una copia redundante en otro datacenter de nuestro proveedor, será más caro pero también es más seguro y si cae el datacenter A se puede levantar el datacenter B en muy poco tiempo y la cantidad de datos que se ha podido perder puede ser mínima, dependiendo de cuando haya ocurrido la caída.</li>
	<li>Segundo backup de seguridad en otro proveedor diferente al que usamos para alojar la web, así aunque el proveedor principal tenga una perdida total de sus servicios tendríamos la opción de recuperar todo desde este segundo backup de seguridad. Efectivamente en un backup de seguridad las copias se hacen por la noche y se pueden perder horas de trabajo, pero mejor horas que días, meses o incluso años.</li>
	<li>Gestionar las DNS vía <a href="https://www.cloudflare.com/es-es/">Cloudflare</a> o servicio similar, al usar un servicio como Cloudflare las DNS se actualizan rápidamente si es necesario apuntar a la IP de nuevas máquinas, en cambio si usamos el servido estándar de los proveedores de dominios la propagación de DNS puede ser más lenta.</li>
	<li>Automatización, ya sea mediante snapshot de nuestros servidores o usando <a href="https://www.ansible.com/">Ansible</a> u otros productos similares, para poder levantar las máquinas que necesitamos sin necesidad de tener que configurarlas de cero, obviamente los archivos derivados de snapshots habrá que alojarlos también en el segundo backup de seguridad, la ventaja de Ansible es que al ser archivos de configuración de texto plano se pueden alojar en un repositorio de git.</li>
	<li>Usar git y herramientas de despliegue automatizadas como <a href="https://deployer.org/">Deployer</a> para que los procesos de despliegue sean automatizados.</li>
</ul>

<p> </p>

<p>Con todos estos elementos, y seguramente muchos más que ahora mismo no tengo en mente desastres como el de OVH se pueden mitigar, y lo importante no es que rueden cabezas, sino aprender del pasado y tener la configuración para que no vuelva a ocurrir en el futuro.</p>

<p>Fuente de la foto: <a href="https://twitter.com/avedonnicholas/status/1369577530898976769">https://twitter.com/avedonnicholas/status/1369577530898976769</a></p>
</div>
      
  <div class="field field-name-field-tags field-type-entity-reference field-label-above">
    <div class="field-label">Tags</div>
          <div class="field-items">
              <div class="field-item"><a href="/tag/gestion" property="schema:about" hreflang="en">Gestión</a></div>
          <div class="field-item"><a href="/tag/calidad" property="schema:about" hreflang="en">Calidad</a></div>
          <div class="field-item"><a href="/tag/seguridad" property="schema:about" hreflang="en">Seguridad</a></div>
              </div>
      </div>

  </div>

</article>

  </div>

  </div>

          </div>
        </div>
              </div>
              <aside id="sidebar-first" class="sidebar layout-sidebar-first" role="complementary">
            <div class="region region-sidebar-first">
    <div id="block-presentaciondelblog">
  
    
      
            <div class="field field-name-body field-type-text-with-summary field-label-hidden field-item"><p>Este es mi blog, "el blog de Oskar", Me puedes escribir vía <a href="https://www.linkedin.com/in/oskarcalvo/">Linkedin</a></p>
</div>
      
  </div>
<div class="views-element-container" id="block-views-block-last-10-articles-block-1">
  
      <h2>Últimos artículos</h2>
    
      <div><div class="js-view-dom-id-6243558343cef6cc53fbf9151e16e3940045c3d88e497f6a5eb20abe1137dcbc">
  
  
  

  
  
  

  <div class="item-list">
  
  <ul>

          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4" hreflang="en">Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-14</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-14/configurar-xdebug3-para-depurar-codigo-con-vscode-usando-los-contenedores-wodby-4-0" hreflang="en">Configurar Xdebug3 para depurar código con VSCode usando los contenedores wodby 4 drupal</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-14</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-04-05/drupal-y-codesniffer-para-mantener-la-calidad-del-codigo-de-nuestros-proyectos" hreflang="en">Drupal y CodeSniffer para mantener la calidad del código de nuestros proyectos</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-04-05</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-03-20/tome-y-gitlab-pages-para-crear-paginas-estaticas-de-forma-rapida-y-sencilla" hreflang="en">Tome y gitlab pages para crear páginas estáticas de forma rápida y sencilla.</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-03-20</span></span></li>
          <li><span class="views-field views-field-title"><span class="field-content"><a href="/blog/2021-03-13/ovh-y-lo-inesperado" hreflang="en">OVH y lo inesperado</a></span></span> - <span class="views-field views-field-created"><span class="field-content">2021-03-13</span></span></li>
    
  </ul>

</div>

    

  
  

  
  
</div>
</div>

  </div>

  </div>

        </aside>
      
      
    </main>
    
  </div>
  <footer id="footer" role="contentinfo">
    
    <div id="footer-content">
      
    </div>
  </footer>

</div>
  </div>

    
    <script type="application/json" data-drupal-selector="drupal-settings-json">{"path":{"baseUrl":"\/","scriptPath":null,"pathPrefix":"","currentPath":"node\/11","currentPathIsAdmin":false,"isFront":false,"currentLanguage":"en"},"pluralDelimiter":"\u0003","suppressDeprecationErrors":true,"user":{"uid":0,"permissionsHash":"9b4d8556262e2e38b0af236cf1dbcd3346d83a0d1ed154b46f4ac15d03ce2257"}}</script>
<script src="/sites/default/files/js/js_b7BC_YTtFXAsUEtL5nCoXPJ7aIHnk5fcdkjSQ4XyTbg.js"></script>

  </body>
</html>
